Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 1785)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 1786)
@@ -105,6 +105,7 @@
  * TODO : remove unused variables from workspace.
  * 
  * @author Sylvain Loiseau &lt;sloiseau@ens-lsh.fr&gt;
+ * 
  */
 
 public final class RWorkspace {
@@ -1134,7 +1135,7 @@
 		} catch (RserveException e) {
 			throw new RWorkspaceException(e);
 		}
-		Log.finest("WORKSPACE_PURGED"); //$NON-NLS-1$
+		Log.finest("R WORKSPACE_PURGED"); //$NON-NLS-1$
 	}
 
 	/**
@@ -1507,13 +1508,14 @@
 		} catch (RserveException e) {
 			throw new RWorkspaceException(e);
 		}
-		Log.finest("VARIABLE_REMOVED: " + new Object[] { variableName }); //$NON-NLS-1$
+		Log.finest("R VARIABLE_REMOVED: " + new Object[] { variableName }); //$NON-NLS-1$
 	}
 
 	/**
 	 * Casts the specified REXP to a displayable object.
+	 * 
 	 * @param rexp
-	 * @return
+	 * @return the casted object : String, int, etc.
 	 */
 	public Object getCastedREXP(REXP rexp)	{
 		try {
@@ -1542,7 +1544,7 @@
 				}
 			}
 			else if (rexp instanceof org.rosuda.REngine.REXPNull) {
-				return "NULL";
+				return "NULL"; //$NON-NLS-1$
 			}
 		}
 		catch (REXPMismatchException e) {
@@ -1562,7 +1564,9 @@
 	 * @throws REXPMismatchException the rEXP mismatch exception
 	 */
 	public REXP safeEval(String expr) throws RserveException, RException, REXPMismatchException {
-		if (logging && inputLogger != null ) inputLogger.printMessage(expr); //$NON-NLS-1$
+		if (logging && inputLogger != null ) {
+			inputLogger.printMessage(expr);
+		}
 		lastSafeevalExpr = expr;
 		
 		expr = "try({" + expr + "}, silent=FALSE)";
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenSVGGraph.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenSVGGraph.java	(revision 1785)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenSVGGraph.java	(revision 1786)
@@ -50,6 +50,8 @@
 /**
  * open a SVG file in an editor @ author mdecorde.
  */
+//FIXME: SJ: this class doesn't work anymore
+//FIXME: SJ: this souldn't use TXMEditor system
 public class OpenSVGGraph extends AbstractHandler {
 
 	private static final String ID = "org.txm.rcp.commands.OpenSVGGraph"; //$NON-NLS-1$
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenGraph.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenGraph.java	(revision 1785)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenGraph.java	(revision 1786)
@@ -48,8 +48,7 @@
 /**
  * Open the graphics editor. It can open SVN, PNG, etc depending on the Device given.
  */
-@Deprecated
-// FIXME: to move to org.txm.chartsengine.svgbatik.rcp
+
 public class OpenGraph extends AbstractHandler {
 
 	private static final String ID = "org.txm.rcp.commands.OpenGraph"; //$NON-NLS-1$
@@ -103,32 +102,6 @@
 	 * Open file.
 	 *
 	 * @param filepath the filepath
-	 * @param device the device
-	 * @return the i editor part
-	 */
-//	@Deprecated
-//	// FIXME: this method is R charts engine dependent. But it seems to no be used so we may remove it
-//	public static IEditorPart OpenFile(String filepath, RDevice device) {
-//		return OpenFile(filepath, new File(filepath).getName(), device, null);
-//	}
-//
-//	/**
-//	 * Open file.
-//	 *
-//	 * @param file the file
-//	 * @param device the device
-//	 * @return the i editor part
-//	 */
-//	@Deprecated
-//	// FIXME: this method is R charts engine dependent. But it seems to no be used so we may remove it
-//	public static IEditorPart OpenFile(File file, RDevice device) {
-//		return OpenFile(file.getAbsolutePath(), file.getName(), device, null);
-//	}
-
-	/**
-	 * Open file.
-	 *
-	 * @param filepath the filepath
 	 * @param editorname the editorname
 	 * @return the i editor part
 	 */
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java	(revision 1785)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java	(revision 1786)
@@ -49,6 +49,8 @@
  *
  * @author Sylvain Loiseau
  */
+//FIXME: SJ: this class doesn't work anymore
+//FIXME: SJ: this souldn't inherit from TXMEditor
 public abstract class SVGGraphicEditor extends TXMEditor<TXMResult> {
 
 	/** Linking with the OutlineView. */
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/SVGGraphicEditorInput.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/SVGGraphicEditorInput.java	(revision 1785)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/SVGGraphicEditorInput.java	(revision 1786)
@@ -41,6 +41,8 @@
  * 
  * @author Sylvain Loiseau,mdecorde
  */
+// FIXME: SJ: this class doesn't work anymore
+// FIXME: SJ: this souldn't inherit from TXMResultEditorInput
 public class SVGGraphicEditorInput extends TXMResultEditorInput<TXMResult> implements IEditorInput, SVGGraphicable {
 
 	/** The filename. */
